Bug 855335 - Add Storage Pool's Open dialog fails to add entered directory
Add Storage Pool's Open dialog fails to add entered directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
17
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 08:33 EDT by Miroslav Hradílek
Modified: 2012-11-28 09:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 09:59:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Hradílek 2012-09-07 08:33:29 EDT
Description of problem:

When adding directory as a storage pool, virtual-manager adds only directories selected not the ones entered. Workaround is to enter parent directory and select the one that should be the storage or enter the path manually. Of course, if the user notices open dialog failed. The described way of choosing directories works in other applications and used to work in former versions of virtual-manager.

Version-Release number of selected component (if applicable):
virt-manager-0.9.4-1.fc17.noarch run on x86_64

How reproducible:
Always

Steps to Reproduce:
1. mkdir ~/_storage
2. Edit-->Connection Details and click [+] AKA "Add Pool"
3. Chose Name: testpool, Type dir: Filesystem Directory and click [Forward]
4. Click [Browse], navigate to ~/_storage and click [Open]
  
Actual results:
/home/user

Expected results:
/home/user/_storage

Additional info:
First I thought it was the same issue as described in BZ#746014 but found out it was not related to the _ character.
Comment 1 Cole Robinson 2012-10-14 00:19:23 EDT
Thanks for the report Miroslav. 

Strange, gtk started disliking something we've done for years, though our code was crappy anyways. Fixed upstream:

http://git.fedorahosted.org/cgit/virt-manager.git/commit/?id=71e5ac2a0a8578f466c74d5100943d44815ab8bd
Comment 2 Fedora Update System 2012-10-24 09:14:14 EDT
virt-manager-0.9.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/virt-manager-0.9.4-2.fc17
Comment 3 Fedora Update System 2012-10-24 19:53:40 EDT
Package virt-manager-0.9.4-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.9.4-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16838/virt-manager-0.9.4-2.fc17
then log in and leave karma (feedback).
Comment 4 Cole Robinson 2012-11-28 09:59:01 EST
virt-manager-0.9.4-2.fc17 is in stable now

Note You need to log in before you can comment on or make changes to this bug.